package cn.com.ty.lift.system.user.dao.mapper;

import cn.com.ty.lift.system.user.dao.entity.UserAccount;
import cn.com.xwy.boot.mybatis.MyBatisMapper;

import java.util.List;

/**
 * MyBatis Mapper 接口 - 表：user_account
 * @since 2019-11-29 17:15:02
 */
@MyBatisMapper
public interface UserAccountMapper {
	int deleteByPrimaryKey(Long userId);

	int insert(UserAccount record);

	int insertSelective(UserAccount record);

	UserAccount selectByPrimaryKey(Long userId);

	int updateByPrimaryKeySelective(UserAccount record);

	int updateByPrimaryKey(UserAccount record);

	/**
	 * @description 通过账户对象多维度查询用户账户
	 * @date 2019/11/27 10:03 AM
	 * @param userAccount 用户账户对象
	 * @return
	 */
    UserAccount getByUserAccount(UserAccount userAccount);

    /**
     * @description 通过账户对象多维度查询用户账户列表
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    List<UserAccount> list(UserAccount userAccount);
}