package cn.com.ty.lift.enterprise.oa.entity;

import lombok.Data;
import org.apache.ibatis.type.Alias;

/**
 * 实体类 - 表：mt_company_lift_certificate 公司-操作证
 * @since 2019-11-25 17:36:05
 */
@Data
@Alias("MtCompanyLiftCertificate")
public class MtCompanyLiftCertificate {
	private Integer id;

	//用户ID
	private Long userId;

	//维保公司ID
	private Long mtCompanyId;

	//状态'0：无证，1：未审核，2：不合格，3：合格，4：过期。
	private Byte status;
}