package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.entity.LiftCertificate;
import cn.com.ty.lift.enterprise.oa.entity.LiftCertificateHistory;
import cn.com.ty.lift.enterprise.oa.mapper.LiftCertificateHistoryMapper;
import cn.com.ty.lift.enterprise.oa.mapper.LiftCertificateMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 业务实现层 - 表：lift_certificate
 * @since 2019-11-25 17:53:19
 */
@Service("liftCertificateHistoryService")
public class LiftCertificateHistoryService {

	@Autowired
	private LiftCertificateHistoryMapper liftCertificateHistoryMapper;

	public LiftCertificateHistory findOne(Long id){
		return liftCertificateHistoryMapper.selectByPrimaryKey(id);
	}

	List<LiftCertificateHistory> selectByCertificate(int pageNum,int pageSize,Long mtCompanyId,Long certificateId){
        IPage<LiftCertificateHistory> page = new Page<>(pageNum,pageSize);
	    return liftCertificateHistoryMapper.selectByCertificate(page, mtCompanyId, certificateId);
	}

}