package cn.com.ty.lift.manager.library.dao.mapper;

import cn.com.ty.lift.manager.library.dao.entity.Lift;
import cn.com.ty.lift.manager.library.dao.entity.model.LiftRequest;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author bieao
 * @date 2019/11/27
 * @description 电梯档案数据层
 */
public interface LiftMapper extends BaseMapper<Lift> {
    int deleteByPrimaryKey(Long id);

    Long insertSelective(Lift record);

    List<Lift> findByCondition(IPage page, @Param("request") LiftRequest request);

    int updateByPrimaryKeySelective(Lift record);

    int updateByPrimaryKey(Lift record);

    List<Lift> selectBatchIds(@Param(Constants.COLLECTION) List<String> ids);

}