package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserInfo;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description
 */
public interface IUserInfoService {

    /**
     * @description 新增用户信息
     * @date 2019/11/27 10:03 AM
     * @param userInfo 用户信息
     * @return 插入条数
     */
    int add(UserInfo userInfo);

    /**
     * @description
     * @date 2019/11/27 10:03 AM
     * @param userId 通过用户id获取用户信息
     * @return
     */
    UserInfo getByUserId(Long userId);

    /**
     * @description 更新用户信息表
     * @date 2019/11/27 10:03 AM
     * @param userInfo 用户信息
     * @return
     */
    int update(UserInfo userInfo);
}
