package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.ty.lift.system.user.dao.entity.AreaCode;
import cn.com.ty.lift.system.user.dao.mapper.AreaCodeMapper;
import cn.com.ty.lift.system.user.service.IAreaCodeService;
import cn.com.ty.lift.system.user.tree.TreeUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-03
 * @description
 */
@Service
public class AreaCodeService extends ServiceImpl<AreaCodeMapper, AreaCode> implements IAreaCodeService {

    @Autowired
    private AreaCodeMapper areaCodeMapper;

    @Override
    public List<AreaCode> areaTree() {
        List<AreaCode> allAreaCodeList = areaCodeMapper.getAll();
        return TreeUtil.listToTree(allAreaCodeList, ApiConstants.AREA_PARENT_ATTR, ApiConstants.ROOT_AREA_PARENT_ID);
    }
}
